Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.commitlog
Class CommitLogSegment.CommitLogContext

    java.lang.Object
      org.apache.cassandra.db.commitlog.CommitLogSegment.CommitLogContext

Enclosing class:
  CommitLogSegment

    public class CommitLogSegment.CommitLogContext

extends java.lang.Object

Field Summary
`long` | `position`

Constructor Summary
`CommitLogSegment.CommitLogContext(long position)`

Method Summary
`CommitLogSegment` | `getSegment()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### position

    public final long position

Constructor Detail

### CommitLogSegment.CommitLogContext

    public CommitLogSegment.CommitLogContext(long position)

Method Detail

### getSegment

    public CommitLogSegment getSegment()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation